﻿body {
    background-color: #EAF5FF !important;
}

/* Utilities alineadas al estandar BPD */
.white_text { color: #FFFFFF !important; }
.ultramar_text { color: #022169 !important; }
.naranja_text { color: #ED8B00 !important; }
.text_bold { font-weight: 700 !important; }
.text_light { font-weight: 600 !important; }
.text_medium { font-weight: 500 !important; }
.col-centered { float: none; margin: 0 auto; }
.bluelight-bg { background-color: #EAF5FF !important; }
.rellenoY { padding-top: 60px; padding-bottom: 60px; }
.p-30 { padding-left: 30px; padding-right: 30px; }
.px-15 { padding-left: 15px; padding-right: 15px; }

/* Text transform none to override SharePoint default styling */
.text-transform-none, .text-transform-none * {
    text-transform: none !important;
}

.tituloBanner, .desc, .titulo, .keyBenefits__contentBox--body, .desc-reg, .date-reg, .titulo-secuntario, .btn-orange, .btn-secundario, .titulo-sorteos {
    font-family: 'Roboto', sans-serif !important;
    text-transform: none !important;
}

/* Banner Referenciado */
.banner {
    height: 550px;
    color: white;
    background-image: url("/Personas/Paginas/PROMOCIONES/2026/Apptivate/assets/img/Banner-desktop.webp");
    background-repeat: no-repeat;
    background-position: center bottom;
    background-size: cover;
    width: 100%;
}

#contenedor {
    height: 100%;
    display: flex;
    justify-content: normal;
    align-items: center; /* Desktop -> Centrado vertical ("en el medio de la forma vertival") */
}

.texto-banner {
    max-width: 600px;
}

.tituloBanner {
    font-size: 45px !important;
    line-height: 1.2 !important;
    margin-bottom: 20px;
}

.banner .desc {
    font-size: 28px !important;
    margin-bottom: 30px;
}

/* Combinacion de seccion Registro y Participar */
.section-principal {
    background: #010455;
    background: linear-gradient(219deg, rgba(1, 4, 85, 1) 41%, rgba(1, 80, 137, 1) 100%);
}

.desc-reg {
    font-size: 24px !important;
    margin-bottom: 10px;
}

.date-reg {
    font-size: 24px !important;
    margin-bottom: 60px !important; /* Incrementado a 60px segun requisicion */
}

.TyC-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

.btn-orange, .btn-secundario {
    font-size: 18px !important;
    padding: 15px 35px !important;
    border-radius: 50px !important;
    text-decoration: none !important;
    box-shadow: 0 3px 6px rgba(0, 0, 0, .2) !important;
    display: inline-block !important;
    color: #fff !important;
    text-align: center !important;
    border: none !important;
    cursor: pointer !important;
    line-height: normal !important;
    margin: 0 !important;
    height: auto !important;
}

.btn-orange {
    background: #ED8B00 !important;
}

.btn-secundario {
    background: #008BB0 !important;
}

.titulo {
    font-size: 28px !important;
    margin-top: 10px !important;    /* Reduce el alto de la caja del titulo (arriba) */
    margin-bottom: 20px !important; /* Reduce el alto de la caja del titulo (abajo) */
}

.titulo-secuntario {
    font-size: 22px !important;
    margin-bottom: 40px !important;
    color: #FFFFFF !important;
}

/* Base style taken from reference */
.keyBenefits__contentBox {
    padding: 20px 30px;
    background: #fff;
    min-height: 110px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cuadroSombreado {
    box-shadow: -1px -3px 14px -1px rgba(0, 0, 0, 0.1);
    border-radius: 15px;
}

.keyBenefits__contentBox--body {
    font-size: 20px !important;
    margin: 0 !important;
    line-height: 1.4 !important;
}

/* Estructura Posicionada de "Cómo participar" */
.steps-container {
    position: relative;
    display: flex;
    flex-wrap: wrap;
}

.linea-divisoria {
    position: absolute;
    left: 50%;
    top: 50px;
    bottom: 50px;
    width: 1px;
    border-right: 1px solid #FFFFFF;
    opacity: 1;
    z-index: 0;
}

.separador-or-container {
    margin-top: 15px;
    margin-bottom: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.separador-or {
    font-size: 24px;
}

.separador-or::after, .separador-or::before {
    content: "";
    display: inline-block;
    width: 140px;
    height: 2px; /* <-- Usuario: 'la linea debe de ser mas gruesa' (cambiado de 1px a 2px) */
    background: #fff;
    vertical-align: middle;
    margin: 0 15px;
    opacity: 1;
}

/* Divisor Horizontal nuevo para la version Movil */
.separador-secciones-movil {
    height: 2px; /* Mismo grosor que el separador O */
    background: #fff;
    opacity: 1;
    width: 80%; /* Ancho adecuado para que abarque casi toda la pantalla como linea divisoria */
    margin: 60px auto 0px auto;
}

/* Elementos Steps copiados de Referencia1 con modificaciones de color */
.steps__contentBox {
    position: relative;
    margin-top: 35px;
    margin-bottom: 35px;
    width: 100%;
}

.step-1::before,
.step-2::before,
.step-3::before {
    position: absolute;
    top: 0px;
    transform: translate(-50%, -50%);
    left: 50%;
    height: 36px;
    width: 70px;
    border-radius: 150px 150px 0 0;
    background-color: #FFFFFF !important;
    text-align: center;
    font-size: 27px !important; /* Usuario pidio 27 */
    color: #00C1D5 !important; /* Usuario pidio #00C1D5 */
    font-weight: 700;
    box-shadow: -1px -7px 19px -9px rgba(0, 0, 0, 0.19);
    line-height: 48px;
}
.step-1::before { content: '1'; }
.step-2::before { content: '2'; }
.step-3::before { content: '3'; }

/* Sorteos cajas bottom */
.sorteo-box {
    min-height: 80px !important; /* Reduce la altura minima original de 110px */
    padding: 10px 15px !important; /* Reduce el espacio interior (padding) de la tarjeta */
}

.sorteo-box.s-1::before,
.sorteo-box.s-2::before,
.sorteo-box.s-3::before {
    position: absolute;
    top: 0px;
    transform: translate(-50%, -50%);
    left: 50%;
    height: 36px;
    width: 70px;
    border-radius: 150px 150px 0 0;
    background-color: #FFFFFF !important;
    text-align: center;
    font-size: 27px !important; /* Usuario pidio 27 */
    color: #00C1D5 !important; /* Usuario pidio #00C1D5 */
    font-weight: 700;
    box-shadow: 0px -4px 10px -5px rgba(0, 0, 0, 0.1);
    line-height: 48px;
}
.sorteo-box.s-1::before { content: '3'; }
.sorteo-box.s-2::before { content: '15'; }
.sorteo-box.s-3::before { content: '45'; }

.sorteo-box p {
    font-size: 18px !important;
    margin: 10px 0 0 0 !important;
}

.titulo-sorteos {
    font-size: 24px !important;
    text-transform: none !important;
    display: inline-block;
    margin-top: 20px !important;    /* Controla el alto extra arriba del titulo */
    margin-bottom: 20px !important; /* Controla el alto extra debajo del titulo */
}

.separador {
    margin: 50px auto;
}

/* Card Premio Especial */
.card-premio-grande {
    background-color: #010A59;
    border-radius: 15px;
    display: flex;
    align-items: center; /* Alineado vertical general de flex elements */
    justify-content: space-around;
    padding: 30px 50px;
    margin: 30px auto;
}

.premio-content {
    display: flex;
    flex-direction: column; /* Alineacion vertical icono + h3 sugerida por usuario */
    align-items: center;
    text-align: center;
}

.icono-boletos {
    width: 60px;
    margin-right: 0 !important;
    margin-bottom: 20px !important;
}

.card-premio-grande h3 {
    color: #FFFFFF;
    font-size: 32px !important;
    font-weight: 700 !important;
    margin: 0;
    line-height: 1.2;
}

.img-chico {
    max-width: 300px !important; /* Limite Desktop indicado */
}

/* ======= RESPONSIVE MEDIAS ======== */

/* TABLET */
@media(max-width: 1199px) {
    .banner {
        background-image: url("/Personas/Paginas/PROMOCIONES/2026/Apptivate/assets/img/Banner-tablet.webp");

    }
    #contenedor { align-items: center; padding-top: 0; }
    .tituloBanner { font-size: 38px !important;}
    .card-premio-grande { padding: 30px; }
    .p-30 { padding: 0 15px; }
}

@media(min-width: 768px) {
    .hidden-xs { display: block; }
    .visible-xs { display: none; }
}

/* MOBILE */
@media(max-width: 767px) {
    .hidden-xs { display: none !important; }
    .visible-xs { display: block !important; }
    .hidden-sm { display: none !important; }

    .banner {
        background-image: url("/Personas/Paginas/PROMOCIONES/2026/Apptivate/assets/img/Banner-movil.webp");
        background-position: top center;

    }

    #contenedor {
        align-items: flex-end; /* Mobile -> Abajo de la forma vertical */
        height: 100%;
        padding-top: 0;
        padding-bottom: 30px;
    }
    .texto-banner { text-align: left; width: 100%;}
    .tituloBanner { font-size: 26px !important; margin-bottom: 15px;}
    .banner .desc { font-size: 18px !important; margin-bottom: 10px;}

    .desc-reg, .date-reg { font-size: 22px !important; }
    .titulo { font-size: 26px !important; }
    .titulo-secuntario { font-size: 22px !important; margin-top: 40px !important; margin-bottom: 30px !important;}
    .mt-mobile { margin-top: 60px !important; }
    .keyBenefits__contentBox--body { font-size: 18px !important; }

    .section-principal {
        background: linear-gradient(215deg, rgba(1, 4, 85, 1) 30%, rgba(1, 59, 123, 1) 91%, rgba(1, 80, 137, 1) 100%);
    }

    .linea-divisoria { display: none; }

    .card-premio-grande {
        flex-direction: column;
        padding: 20px;
        text-align: center;
    }
    .premio-content {
        flex-direction: column;
    }
    .icono-boletos {
        margin-right: 0 !important;
        margin-bottom: 20px;
    }
    .card-premio-grande h3 { font-size: 28px !important; margin-bottom: 20px; }
    .img-chico { max-width: 100% !important; margin-top: 20px;}
}